package tech.nevets.tvpn;

import com.formdev.flatlaf.FlatDarkLaf;

import javax.swing.*;
import java.io.IOException;
import java.nio.file.Path;

public class Main {
    public static void main(String[] args) throws IOException, InterruptedException {
        try {
            UIManager.setLookAndFeel(new FlatDarkLaf());
        } catch (UnsupportedLookAndFeelException e) {
            e.printStackTrace();
        }

        if (args.length == 0) {
            System.out.println("No args");
            System.exit(0);
        }

        switch (args[0]) {
            case "load" -> WireGuardHandler.loadTunnel(Path.of("C:\\Users\\steven.v\\Desktop\\test.conf"));
            case "delete" -> WireGuardHandler.deleteTunnel("test");
            case "start" -> WireGuardHandler.startTunnel("test");
            case "stop" -> WireGuardHandler.stopTunnel("test");
            case "--help", "-h" -> {
                System.out.println("Options:\n - load\n - delete\n - start\n - stop");
                return;
            }
        }
    }
}
