package tech.nevets.tvpn;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;

import static tech.nevets.tvpn.Utils.*;

public class WireGuardHandler {

    public static void loadTunnel(Path tunnelConfig) throws IOException {
        Files.copy(tunnelConfig, Path.of(WG_CONF_DIR + tunnelConfig.getFileName().toString()));
    }

    public static void deleteTunnel(String tunnelName) throws IOException {
        File f = new File(WG_CONF_DIR + tunnelName + ".conf.dpapi");
        f.delete();
    }

    public static void startTunnel(String tunnelName) throws IOException, InterruptedException {
        Process proc = new ProcessBuilder()
                .directory(APP_DIR)
                .command("cmd", "/C", "wireguard.exe", "/installtunnelservice", WG_CONF_DIR + tunnelName + ".conf.dpapi")
                .inheritIO()
                .start();
        System.out.println("Start Tunnel: " + proc.waitFor());
    }

    public static void stopTunnel(String tunnelName) throws IOException, InterruptedException {
        Process proc = new ProcessBuilder()
                .directory(APP_DIR)
                .command("cmd", "/C", "wireguard.exe", "/uninstalltunnelservice", tunnelName)
                .inheritIO()
                .start();
        System.out.println("Stop Tunnel: " + proc.waitFor());

    }
}
